Apply by doing:                                                                 
        cd /usr/src                                                             
	patch < 007_pfkey.patch                                                 
Rebuild your kernel.    

Index: sys/net/pfkeyv2.c
===================================================================
RCS file: /cvs/src/sys/net/pfkeyv2.c,v
retrieving revision 1.92
diff -u -p -r1.92 pfkeyv2.c
--- sys/net/pfkeyv2.c	10 Aug 2004 16:17:05 -0000	1.92
+++ sys/net/pfkeyv2.c	13 Dec 2004 11:53:53 -0000
@@ -1807,6 +1807,11 @@ pfkeyv2_acquire(struct ipsec_policy *ipo
 	if (ipo->ipo_dstid)
 		i += sizeof(struct sadb_ident) + PADUP(ipo->ipo_dstid->ref_len);
 
+	if (ipo->ipo_local_cred)
+		i += sizeof(struct sadb_x_cred) + PADUP(ipo->ipo_local_cred->ref_len);
+
+	if (ipo->ipo_local_auth)
+		i += sizeof(struct sadb_x_cred) + PADUP(ipo->ipo_local_auth->ref_len);
 
 	/* Allocate */
 	if (!(p = malloc(i, M_PFKEY, M_DONTWAIT))) {
